Bug 177496 - CVE-2006-0035 netlink DoS
CVE-2006-0035 netlink DoS
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Graf
Brian Brock
reported=20060109,public=2006010:2102...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-11 05:22 EST by Mark J. Cox (Product Security)
Modified: 2014-06-18 04:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 18:39:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-01-11 05:22:24 EST
A netlink message with nlmsg_len set to 0 can cause an infinite loop holding the
netlink semaphore therefore allowing a local unprivileged DoS.

Here is the upstream fix for this issue:

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ad8e4b75c8a7bed475d72ce09bf526718862196

We have not verified if this issue affects RHEL4.
Comment 2 David Miller 2006-01-11 18:39:26 EST
Not relevant to any of our products, as the cleanup that introduced this
bug is not in any of our trees.
Comment 3 Mark J. Cox (Product Security) 2006-01-12 05:11:18 EST
Confirmed, commit of vulnerable code 20051110 therefore only affected 2.6.14+;
submitted clarfication to CVE project.

Note You need to log in before you can comment on or make changes to this bug.